nxt

## Class TransactionType.DigitalGoods

- java.lang.Object
- - nxt.TransactionType
  - - nxt.TransactionType.DigitalGoods

- Enclosing class:
    TransactionType

      public abstract static class TransactionType.DigitalGoods
      extends TransactionType

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.TransactionType

      `TransactionType.AccountControl, TransactionType.ColoredCoins, TransactionType.Data, TransactionType.DigitalGoods, TransactionType.Messaging, TransactionType.Payment`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransactionType` | `DELISTING`
    `static TransactionType` | `DELIVERY`
    `static TransactionType` | `FEEDBACK`
    `static TransactionType` | `LISTING`
    `static TransactionType` | `PRICE_CHANGE`
    `static TransactionType` | `PURCHASE`
    `static TransactionType` | `QUANTITY_CHANGE`
    `static TransactionType` | `REFUND`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getType()`

    - ### Methods inherited from class nxt.TransactionType

      `canHaveRecipient, findTransactionType, getLedgerEvent, getName, getSubtype, isPhasable, isPhasingSafe, mustHaveRecipient, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LISTING

          public static final TransactionType LISTING

    - #### DELISTING

          public static final TransactionType DELISTING

    - #### PRICE_CHANGE

          public static final TransactionType PRICE_CHANGE

    - #### QUANTITY_CHANGE

          public static final TransactionType QUANTITY_CHANGE

    - #### PURCHASE

          public static final TransactionType PURCHASE

    - #### DELIVERY

          public static final TransactionType DELIVERY

    - #### FEEDBACK

          public static final TransactionType FEEDBACK

    - #### REFUND

          public static final TransactionType REFUND

  - ### Method Detail

    - #### getType

          public final byte getType()

      Specified by:
        `getType` in class `TransactionType`